<?xml version="1.0" encoding="UTF-8"?>
<persistence xmlns="http://java.sun.com/xml/ns/persistence"
             xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
             xsi:schemaLocation="http://java.sun.com/xml/ns/persistence http://java.sun.com/xml/ns/persistence/persistence_2_0.xsd"
             version="2.0">
    <persistence-unit name="PersistenceSearchUnitTest" transaction-type="RESOURCE_LOCAL">
        <provider>org.hibernate.jpa.HibernatePersistenceProvider</provider>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.PatientDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.AbstractPatientDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.PatientPhoneNumberDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.PatientIdentifierDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.HierarchicDesignatorDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.DesignatorTypeDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.PersonAddressDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.PersonDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.PersonPhoneNumberDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.PatientAddressDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.RawAddressDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.references.CrossReferenceDB</class>
        <properties>
            <!-- Configuring JDBC properties -->
            <property name="javax.persistence.jdbc.url" value="jdbc:h2:mem:PersistenceSearchUnitTest;MODE=PostgreSQL;DATABASE_TO_LOWER=TRUE"/>
            <property name="javax.persistence.jdbc.driver" value="org.h2.Driver"/>
            <!-- Hibernate properties -->
            <property name="hibernate.dialect" value="org.hibernate.dialect.H2Dialect"/>
            <property name="hibernate.hbm2ddl.auto" value="create"/>
            <property name="hibernate.format_sql" value="false"/>
            <property name="hibernate.show_sql" value="false"/>
            <property name="hibernate.connection.autocommit" value="true"/>
            <property name="hibernate.transaction.auto_close_session" value="true"/>

        </properties>
    </persistence-unit>

    <persistence-unit name="PersistenceUnitTest" transaction-type="RESOURCE_LOCAL">
        <provider>org.hibernate.jpa.HibernatePersistenceProvider</provider>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.PatientDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.AbstractPatientDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.PatientPhoneNumberDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.PatientIdentifierDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.HierarchicDesignatorDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.DesignatorTypeDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.PersonAddressDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.PersonDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.PersonPhoneNumberDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.PatientAddressDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.RawAddressDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.references.CrossReferenceDB</class>
        <properties>
            <!-- Configuring JDBC properties -->
            <property name="javax.persistence.jdbc.url" value="jdbc:h2:mem:PersistenceUnitTest;MODE=PostgreSQL;DB_CLOSE_DELAY=-1;DATABASE_TO_LOWER=TRUE"/>
            <property name="javax.persistence.jdbc.driver" value="org.h2.Driver"/>
            <property name="javax.persistence.schema-generation.database.action" value="drop-and-create"/>

            <!-- Hibernate properties -->
            <property name="hibernate.dialect" value="org.hibernate.dialect.H2Dialect"/>
            <property name="hibernate.hbm2ddl.auto" value="create"/>
            <property name="hibernate.format_sql" value="false"/>
            <property name="hibernate.show_sql" value="false"/>
            <property name="hibernate.connection.autocommit" value="true"/>
            <property name="hibernate.transaction.auto_close_session" value="true"/>
            <property name="hibernate.transaction.flush_before_completion" value="true"/>

        </properties>
    </persistence-unit>
    <persistence-unit name="PersistenceUnitCrossRefTest" transaction-type="RESOURCE_LOCAL">
        <provider>org.hibernate.jpa.HibernatePersistenceProvider</provider>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.PatientDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.PatientIdentifierDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.HierarchicDesignatorDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.PatientAddressDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.PatientPhoneNumberDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.PersonDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.PersonAddressDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.PersonPhoneNumberDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.references.CrossReferenceDB</class>
        <properties>
            <!-- Configuring JDBC properties -->
            <property name="javax.persistence.jdbc.url" value="jdbc:h2:mem:PersistenceUnitCrossRefTest;MODE=PostgreSQL;DATABASE_TO_LOWER=TRUE"/>
            <property name="javax.persistence.jdbc.driver" value="org.h2.Driver"/>
            <!-- Hibernate properties -->
            <property name="hibernate.dialect" value="org.hibernate.dialect.H2Dialect"/>
            <property name="hibernate.hbm2ddl.auto" value="create"/>
            <property name="hibernate.format_sql" value="false"/>
            <property name="hibernate.show_sql" value="false"/>
            <property name="hibernate.connection.autocommit" value="true"/>
            <property name="hibernate.transaction.auto_close_session" value="true"/>
        </properties>
    </persistence-unit>

    <persistence-unit name="PersistenceUnitDomainTest" transaction-type="RESOURCE_LOCAL">
        <provider>org.hibernate.jpa.HibernatePersistenceProvider</provider>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.HierarchicDesignatorDB</class>
        <properties>
            <!-- Configuring JDBC properties -->
            <property name="javax.persistence.jdbc.url" value="jdbc:h2:mem:PersistenceUnitDomainTest;MODE=PostgreSQL;DATABASE_TO_LOWER=TRUE"/>
            <property name="javax.persistence.jdbc.driver" value="org.h2.Driver"/>
            <!-- Hibernate properties -->
            <property name="hibernate.dialect" value="org.hibernate.dialect.H2Dialect"/>
            <property name="hibernate.hbm2ddl.auto" value="create"/>
            <property name="hibernate.format_sql" value="false"/>
            <property name="hibernate.show_sql" value="false"/>
            <property name="hibernate.connection.autocommit" value="true"/>
            <property name="hibernate.transaction.auto_close_session" value="true"/>
        </properties>
    </persistence-unit>

    <persistence-unit name="PersistenceUnitPatientIdentifierTest" transaction-type="RESOURCE_LOCAL">
        <provider>org.hibernate.jpa.HibernatePersistenceProvider</provider>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.HierarchicDesignatorDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.PatientDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.PatientIdentifierDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.PatientAddressDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.PatientPhoneNumberDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.PersonDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.PersonAddressDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.patient.PersonPhoneNumberDB</class>
        <class>net.ihe.gazelle.app.patientregistryservice.adapter.dao.pamsimulator.model.references.CrossReferenceDB</class>
        <properties>
            <!-- Configuring JDBC properties -->
            <property name="javax.persistence.jdbc.url" value="jdbc:h2:mem:PersistenceUnitPatientIdentifierTest;MODE=PostgreSQL;DATABASE_TO_LOWER=TRUE"/>
            <property name="javax.persistence.jdbc.driver" value="org.h2.Driver"/>

            <!-- Hibernate properties -->
            <property name="hibernate.dialect" value="org.hibernate.dialect.H2Dialect"/>
            <property name="hibernate.hbm2ddl.auto" value="create"/>
            <property name="hibernate.format_sql" value="false"/>
            <property name="hibernate.show_sql" value="false"/>
            <property name="hibernate.connection.autocommit" value="true"/>
            <property name="hibernate.transaction.auto_close_session" value="true"/>
        </properties>
    </persistence-unit>


</persistence>